It's not the same without you

Join the community to find out what other Atlassian users are discussing, debating and creating.

Atlassian Community Hero Image Collage

Recommended upgrade path Confluence 3.4. -> 5.3.

Hello support-team,

We do currently use "Atlassian Confluence 3.4.8". But like to upgrade to 5.3.

Now, I looked up this article, which mentions two different ways:

1. if you want to move from Confluence 3.x to Confluence 5.x, you should first upgrade from 3.x to 4.x, then from 4.x to 5.x.

2. If you are upgrading from a version earlier than Confluence 3.5, you must use the manual upgrade procedure.

I hope that someone could clarify what is recommended now. Because both variants do fit.

And what versions should I use in my upgrade procedure? 4.X. is unspecific.

Additional information: I want to upgrade to latest Confluence version (which is 5.3.).

3 answers

1 accepted

1 vote
Answer accepted

Hi Peter,

You should first do the Manual upgrade from your current version 3.4.8 to 3.5.17.

Then you can do the new upgrade procedure from 3.5.17 to 4.3.7 and then to 5.3.1.

Don't forget to check if your plugins still work on the new versions!

Best regards,

Peter

Not exactly rambam.

I think it is clear now, that I should move from 3.4.8 -> 4.3.7 -> 5.3.1

Is that right?

And also - as I mentioned, the documentation differs. See my quote.

i think you have to follow the second point which is

  • Upgrading from an early version of Confluence. If you are upgrading from a version earlier than Confluence 3.5, you must use the manual upgrade procedure. See Upgrading Confluence Manually.

and don't forgot to test this on test environment before doing it on production!

Not exactly rambam.

I think it is clear now, that I should move from 3.4.8 -> 4.3.7 -> 5.3.1

Is that right?

And also - as I mentioned, the documentation differs. See my quote.

Suggest an answer

Log in or Sign up to answer
This widget could not be displayed.
This widget could not be displayed.
Community showcase
Published Thursday in Confluence

Confluence CVEs and common questions

Two vulnerabilities have been published for Confluence Server and Data Center recently: March 20, 2019 CVE-2019-3395 / CVE-2019-3396 April 17, 2019 CVE-2019-3398 The goal of this article is...

110 views 0 10
Read article

Atlassian User Groups

Connect with like-minded Atlassian users at free events near you!

Find a group

Connect with like-minded Atlassian users at free events near you!

Find my local user group

Unfortunately there are no AUG chapters near you at the moment.

Start an AUG

You're one step closer to meeting fellow Atlassian users at your local meet up. Learn more about AUGs

Groups near you